﻿using System;
using UnityEngine;

public class MayuAlphaWindow : BasePhotoWindow
{
	public override string windowName
	{
		get
		{
			return "MayuWindow";
		}
	}

	public override void Start()
	{
		base.Start();
		this.SetWindowTitleFromLocalizeTerm("透明度");
		this.m_goParent = base.transform.Find("Parent").gameObject;
		this.maid = GameMain.Instance.CharacterMgr.GetMaid(0);
		this.value = this.slider.value;
		this.visible = false;
	}

	public void OnChangerValue(int value)
	{
		this.maid.MayuAlpha = value;
	}

	public override void Update()
	{
		if (SceneEdit.Instance.isFBFace && SceneEdit.Instance != null && SceneEdit.Instance.maid != null && SceneEdit.Instance.NowMPN == MPN.folder_mayu)
		{
			this.visible = true;
			if (this.slider.value != this.value)
			{
				this.OnChangerValue((int)this.slider.value);
				this.value = this.slider.value;
			}
		}
		else
		{
			this.visible = false;
		}
	}

	public PhotoSliderAndInput slider;

	private GameObject m_goParent;

	private float value;

	private Maid maid;
}
