﻿using System;
using System.IO;
using UnityEngine;

namespace SceneEditWindow
{
	[AddComponentMenu("SceneEditWindow/WindowManager")]
	public class WindowManager : BasePhotoWindowManager
	{
		protected override string save_fullpath_uidata
		{
			get
			{
				string str = Path.Combine(GameMain.Instance.SerializeStorageManager.StoreDirectoryPath, "SaveData");
				return str + "/EditUI.save";
			}
		}

		protected override string save_header_uidata
		{
			get
			{
				return "CM3D2_EditModeUISetting";
			}
		}
	}
}
